Bug 42985 - Impress: enable animations on embedded videos
Summary: Impress: enable animations on embedded videos
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 77387 97746 (view as bug list)
Depends on:
Blocks: Media-Playback Custom-Animations
  Show dependency treegraph
 
Reported: 2011-11-16 05:09 UTC by rotwang2011
Modified: 2018-11-28 03:48 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rotwang2011 2011-11-16 05:09:09 UTC
It would make my life easier if embedded videos behaved like embedded pictures in all respects. I can embed a picture, fade it in and fade it out. If i embed a video in its place I can do nothing except let it play, despite the fact that the full set of animation options are offered, while silently being ignored.

Fix 1 would be only to offer those options which you implement.

Fix 2 (My preference) would be to make it work.

To set this in a context consider the following presentation :-

Slide showing details of artist etc.
on click fade up picture, full screen and dwell for however long then fade out.

I want to do the exact same thing with a video, and the full screen is important.

Doing it with multiple slides, while possible, makes it more difficult to re-order a presentation
Comment 1 Stefan Knorr (astron) 2012-01-06 05:38:28 UTC
Can confirm on Master (3.6, ca. January 02, 2011) that indeed custom animations are not properly applied to videos.

Marking as "new" and setting from "enhancement" to "normal" (because, clearly this should work already).
Comment 2 Rainer Bielefeld Retired 2012-01-06 09:07:51 UTC
Reproducible!
At least no animations that can not be applied should be offered.

@Thorsten:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 3 A (Andy) 2013-04-20 22:23:30 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 4 Thorsten Behrens (CIB) 2013-09-12 16:14:46 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 5 Owen Genat (retired) 2014-07-15 12:14:47 UTC
*** Bug 77387 has been marked as a duplicate of this bug. ***
Comment 6 Buovjaga 2014-07-30 13:52:58 UTC
There's a bounty for this now and I invite more sponsors: https://freedomsponsors.org/issue/524/impress-enable-animations-on-embedded-videos
Comment 7 QA Administrators 2015-09-04 02:49:08 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2016-09-20 10:28:54 UTC Comment hidden (obsolete)
Comment 9 Aron Budea 2017-11-27 02:23:13 UTC
*** Bug 97746 has been marked as a duplicate of this bug. ***
Comment 10 QA Administrators 2018-11-28 03:48:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug